Open CASCADE Technology: PColgp_FieldOfHArray1OfVec2d Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PColgp_FieldOfHArray1OfVec2d Class Reference

`#include <PColgp_FieldOfHArray1OfVec2d.hxx>`

Inheritance diagram for PColgp_FieldOfHArray1OfVec2d:
[legend]

## Public Member Functions
| PColgp_FieldOfHArray1OfVec2d ()
| PColgp_FieldOfHArray1OfVec2d (const Standard_Integer Size)
| PColgp_FieldOfHArray1OfVec2d (const PColgp_FieldOfHArray1OfVec2d &Varray)
void | Resize (const Standard_Integer Size)
void | Assign (const PColgp_FieldOfHArray1OfVec2d &Other)
void | operator= (const PColgp_FieldOfHArray1OfVec2d &Other)
void | SetValue (const Standard_Integer Index, const gp_Vec2d &Value)
gp_Vec2d & | Value (const Standard_Integer Index) const
gp_Vec2d & | operator() (const Standard_Integer Index) const
void | Destroy ()
| ~PColgp_FieldOfHArray1OfVec2d ()
Public Member Functions inherited from DBC_BaseArray
| DBC_BaseArray ()
| Creates an BaseArray of NULL size. More...
| DBC_BaseArray (const Standard_Integer Size)
| Creates an BaseArray of lower bound 0 and upper bound <Size>-1. More...
| DBC_BaseArray (const DBC_BaseArray &BaseArray)
| Creates an array which is the copy of the given argument. More...
virtual void | Delete ()
virtual | ~DBC_BaseArray ()
Standard_Integer | Length () const
Standard_Integer | Upper () const
| Returns the upper bound. More...
Standard_Address | Lock () const
| Locks the array <me> in memory and returns its virtual address. More...
void | Unlock () const
| unlocks the array <me> from memory More...
Standard_Integer | _CSFDB_GetDBC_BaseArraymySize () const
void | _CSFDB_SetDBC_BaseArraymySize (const Standard_Integer p)
DBC_DBVArray | _CSFDB_GetDBC_BaseArraymyData () const
void | _CSFDB_SetDBC_BaseArraymyData (const DBC_DBVArray p)
| DBC_BaseArray ()
| DBC_BaseArray (const Standard_Integer Size)
| DBC_BaseArray (const DBC_BaseArray &BaseArray)
Standard_Integer | Length () const
Standard_Integer | Upper () const
Standard_Address | Lock () const
void | Unlock () const
void | Destroy ()
| ~DBC_BaseArray ()

## Additional Inherited Members
Protected Attributes inherited from DBC_BaseArray
Standard_Integer | mySize
DBC_DBVArray | myData

## Constructor & Destructor Documentation

PColgp_FieldOfHArray1OfVec2d::PColgp_FieldOfHArray1OfVec2d | ( |  | ) |

PColgp_FieldOfHArray1OfVec2d::PColgp_FieldOfHArray1OfVec2d | ( | const Standard_Integer | Size | ) |

PColgp_FieldOfHArray1OfVec2d::PColgp_FieldOfHArray1OfVec2d | ( | const PColgp_FieldOfHArray1OfVec2d & | Varray | ) |

PColgp_FieldOfHArray1OfVec2d::~PColgp_FieldOfHArray1OfVec2d | ( |  | ) |
| inline

## Member Function Documentation

void PColgp_FieldOfHArray1OfVec2d::Assign | ( | const PColgp_FieldOfHArray1OfVec2d & | Other | ) |

void PColgp_FieldOfHArray1OfVec2d::Destroy | ( |  | ) |

gp_Vec2d& PColgp_FieldOfHArray1OfVec2d::operator() | ( | const Standard_Integer | Index | ) | const
| inline

void PColgp_FieldOfHArray1OfVec2d::operator= | ( | const PColgp_FieldOfHArray1OfVec2d & | Other | ) |
| inline

void PColgp_FieldOfHArray1OfVec2d::Resize | ( | const Standard_Integer | Size | ) |

void PColgp_FieldOfHArray1OfVec2d::SetValue | ( | const Standard_Integer | Index,
|  | const gp_Vec2d & | Value
| ) |  |

gp_Vec2d& PColgp_FieldOfHArray1OfVec2d::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- PColgp_FieldOfHArray1OfVec2d.hxx